import type { IconType } from 'carbon-react/esm/components/icon/icon-type';
import * as React from 'react';
import { ContextType } from '../../../types';
import { ReadonlyFieldBaseComponent } from '../field-base-component';
import type { NestedFieldsAdditionalProperties } from '../field-base-component-types';
import type { IconDecoratorProperties } from './icon-types';
export declare class IconComponent extends ReadonlyFieldBaseComponent<IconDecoratorProperties, IconType, NestedFieldsAdditionalProperties> {
    getIconElement(): React.ReactNode;
    render(): React.ReactNode;
}
export declare const ConnectedIconComponent: import("react-redux").ConnectedComponent<typeof IconComponent, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<IconComponent> | undefined;
    contextType?: ContextType | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    screenId: string;
    parentElementId?: string | undefined;
    level?: number | undefined;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    contextNode?: import("../../../types").NodePropertyType | undefined;
    recordContext?: any;
    columnDefinition?: any;
    handlersArguments?: import("../../nested-fields").NestedFieldHandlersArguments | undefined;
    isNested?: boolean | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedIconComponent;
//# sourceMappingURL=icon-component.d.ts.map