import * as React from 'react';
import type { MessageComponentProps } from './message-types';
export declare function MessageComponent(props: MessageComponentProps): React.ReactElement;
export declare const ConnectedMessageComponent: import("react-redux").ConnectedComponent<typeof MessageComponent, {
    contextType?: import("../../../types").ContextType | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    screenId: string;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedMessageComponent;
//# sourceMappingURL=message-component.d.ts.map