import React from 'react';
import type { BaseReadonlyComponentProperties } from '../field-base-component-types';
import type { SeparatorDecoratorProperties } from './separator-types';
export declare function SeparatorComponent(props: BaseReadonlyComponentProperties<SeparatorDecoratorProperties, void>): React.ReactElement;
export declare const ConnectedSeparatorComponent: import("react-redux").ConnectedComponent<typeof SeparatorComponent, {
    contextType?: import("../../../types").ContextType | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    screenId: string;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedSeparatorComponent;
//# sourceMappingURL=separator-component.d.ts.map