import Button from 'carbon-react/esm/components/button';
import React from 'react';
export function PageTitle({ title, insightCount }) {
    return (React.createElement("h1", { className: "e-header-title" },
        title,
        Number(insightCount) > 0 && (React.createElement(Button, { buttonType: "gradient-white", iconType: "chat_notes" },
            insightCount,
            " insights"))));
}
//# sourceMappingURL=page-title.js.map