import type { GridApi } from '@ag-grid-community/core';
import * as React from 'react';
import type { BulkAction } from '../../container/container-control-objects';
import type { SelectedGroupState } from '../../field/table/table-component-types';
import type { OnTelemetryEventFunction } from '../../../redux/state';
import type { AgGridColumnConfigWithScreenIdAndColDef } from '../../../utils/ag-grid/ag-grid-utility-types';
export interface DesktopTableBulkActionBarProps {
    gridApi: GridApi;
    selectedRowCount: number;
    bulkActions?: BulkAction[];
    screenId: string;
    onClearSelection: () => void;
    selectedGroupState?: SelectedGroupState;
    isSelectAllChecked: boolean;
    groupByColumn?: AgGridColumnConfigWithScreenIdAndColDef;
    onTelemetryEvent?: OnTelemetryEventFunction;
}
export declare function DesktopTableBulkActionBar({ bulkActions, gridApi, selectedGroupState, isSelectAllChecked, selectedRowCount, screenId, onClearSelection, groupByColumn, onTelemetryEvent, }: DesktopTableBulkActionBarProps): React.ReactElement;
//# sourceMappingURL=desktop-table-bulk-action-bar.d.ts.map