"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeliveryOrderExtension = void 0;
const sageWhOutput = require("@sage/wh-output");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageWhOutputStock = require("..");
const joins = {
    referenceJoins: {
        wave: {
            site: 'site',
            depositor: 'depositor',
            code: 'wave',
        },
    },
};
let DeliveryOrderExtension = class DeliveryOrderExtension extends xtrem_core_1.NodeExtension {
};
exports.DeliveryOrderExtension = DeliveryOrderExtension;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'WAVNUM',
        columnType: 'string',
        node: () => sageWhOutputStock.nodes.Wave,
    })
], DeliveryOrderExtension.prototype, "wave", void 0);
exports.DeliveryOrderExtension = DeliveryOrderExtension = __decorate([
    xtrem_core_1.decorators.nodeExtension({
        extends: () => sageWhOutput.nodes.DeliveryOrder,
        externalStorageManagerExtension: new xtrem_x3_gateway_1.X3StorageManagerExtension({
            joins,
        }),
    })
], DeliveryOrderExtension);
//# sourceMappingURL=delivery-order-extension.js.map