"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SysUserFunctionProfileUserProfileDefaultSites = void 0;
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageXtremX3SystemUtils = require("..");
const denormalized = { maxRepeat: 20 };
const joins = {
    referenceJoins: {
        _denormalizedParent: {
            profile: 'profile',
        },
        site: {
            code: 'site',
        },
    },
};
let SysUserFunctionProfileUserProfileDefaultSites = class SysUserFunctionProfileUserProfileDefaultSites extends xtrem_core_1.Node {
};
exports.SysUserFunctionProfileUserProfileDefaultSites = SysUserFunctionProfileUserProfileDefaultSites;
__decorate([
    xtrem_core_1.decorators.integerProperty({
        isPublished: true,
    })
], SysUserFunctionProfileUserProfileDefaultSites.prototype, "denormalizedIndex", void 0);
__decorate([
    xtrem_core_1.decorators.stringProperty({
        isPublished: true,
        isStored: true,
        isNotEmpty: true,
        columnName: 'PRFCOD',
        dataType: () => sageXtremX3SystemUtils.datatypes.genericDataTypes.textDatatype,
    })
], SysUserFunctionProfileUserProfileDefaultSites.prototype, "profile", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isStored: true,
        isVitalParent: true,
        columnType: 'string',
        node: () => sageXtremX3SystemUtils.nodes.SysUserFunctionProfile,
    })
], SysUserFunctionProfileUserProfileDefaultSites.prototype, "_denormalizedParent", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'FCYDEF',
        columnType: 'string',
        node: () => sageXtremX3SystemUtils.nodes.SysSite,
    })
], SysUserFunctionProfileUserProfileDefaultSites.prototype, "site", void 0);
exports.SysUserFunctionProfileUserProfileDefaultSites = SysUserFunctionProfileUserProfileDefaultSites = __decorate([
    xtrem_core_1.decorators.node({
        storage: 'external',
        tableName: 'AFCTFCT',
        keyPropertyNames: ['denormalizedIndex', 'profile'],
        indexes: [],
        externalStorageManager: new xtrem_x3_gateway_1.X3StorageManager({
            joins,
            isDenormalized: true,
            denormalized,
        }),
        isPublished: true,
        canRead: true,
        canSearch: true,
        isVitalCollectionChild: true,
    })
], SysUserFunctionProfileUserProfileDefaultSites);
//# sourceMappingURL=sys-user-function-profile-user-profile-default-sites.js.map