import { AsyncResponse } from '@sage/xtrem-shared';
import { WorkflowManagerInterface } from './workflow-manager-interface';
import { WorkflowStepDescriptor, WorkflowStepInterface } from './workflow-step-descriptor';
export declare class WorkflowManagerStub implements WorkflowManagerInterface {
    registerWorkflowStep(packageName: string, workflowStep: WorkflowStepInterface): never;
    getWorkflowStepDescriptors(): AsyncResponse<WorkflowStepDescriptor[]>;
    getWorkflowStepDescriptor(key: string): never;
    getWorkflowTopics(): string[];
    runTest(): never;
    start(): never;
}
//# sourceMappingURL=workflow-manager-stub.d.ts.map