import React from "react";
import { StoryObj } from "@storybook/react";
import { LabelledSelectProps } from "./LabelledSelect";
declare const meta: {
    title: string;
    component: ({ label, hint, required, warningLabel, errorLabel, ...rest }: LabelledSelectProps) => React.JSX.Element;
    parameters: {
        layout: string;
    };
    tags: string[];
};
export default meta;
type Story = StoryObj<typeof meta>;
export declare const Default: Story;
export declare const WithPlaceholder: Story;
export declare const WithHint: Story;
export declare const Required: Story;
export declare const WithWarning: Story;
export declare const WithError: Story;
export declare const Disabled: Story;
export declare const WithValue: Story;
