import type { StoryObj } from "@storybook/react";
import { LabelledTextInputProps } from "./LabelledTextInput";
import React from "react";
declare const meta: {
    title: string;
    component: ({ label, hint, required, warningLabel, errorLabel, ...rest }: LabelledTextInputProps) => React.JSX.Element;
    parameters: {
        layout: string;
    };
    tags: string[];
};
export default meta;
type Story = StoryObj<typeof meta>;
export declare const Valid: Story;
export declare const Error: Story;
export declare const Warning: Story;
