import { BackgroundProps, BorderProps, ColorProps, FlexboxProps, LayoutProps, PositionProps, ShadowProps, SpaceProps, TypographyProps } from "styled-system";
import { WhiteSpaceProp } from "../../types/WhiteSpaceProp";
export interface BoxProps extends SpaceProps, LayoutProps, FlexboxProps, PositionProps, ColorProps, TypographyProps, BackgroundProps, BorderProps, ShadowProps {
    textOverflow?: string;
    whiteSpace?: WhiteSpaceProp;
    gap?: string;
}
declare const Box: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<Omit<{
    [x: string]: /*elided*/ any;
    theme: import("styled-components").DefaultTheme;
    as: string | import("react").ComponentClass<any, any> | import("react").FunctionComponent<any>;
    forwardedAs: string | import("react").ComponentClass<any, any> | import("react").FunctionComponent<any>;
}, "ref"> & import("react").RefAttributes<HTMLElement>>, import("styled-components").DefaultTheme, BoxProps, never>;
export declare const Row: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<Omit<{
    [x: string]: /*elided*/ any;
    theme: import("styled-components").DefaultTheme;
    as: string | import("react").ComponentClass<any, any> | import("react").FunctionComponent<any>;
    forwardedAs: string | import("react").ComponentClass<any, any> | import("react").FunctionComponent<any>;
}, "ref"> & import("react").RefAttributes<HTMLElement>>, import("styled-components").DefaultTheme, BoxProps, never>;
export declare const Column: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<Omit<{
    [x: string]: /*elided*/ any;
    theme: import("styled-components").DefaultTheme;
    as: string | import("react").ComponentClass<any, any> | import("react").FunctionComponent<any>;
    forwardedAs: string | import("react").ComponentClass<any, any> | import("react").FunctionComponent<any>;
}, "ref"> & import("react").RefAttributes<HTMLElement>>, import("styled-components").DefaultTheme, BoxProps, never>;
export declare const Section: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<Omit<{
    [x: string]: /*elided*/ any;
    theme: import("styled-components").DefaultTheme;
    as: string | import("react").ComponentClass<any, any> | import("react").FunctionComponent<any>;
    forwardedAs: string | import("react").ComponentClass<any, any> | import("react").FunctionComponent<any>;
}, "ref"> & import("react").RefAttributes<HTMLElement>>, import("styled-components").DefaultTheme, BoxProps & {
    as: string;
}, "as">;
export default Box;
