import { ButtonBackground } from "../buttons/AiKitButton.styles";
export type LinkStyle = "standard" | "subtle" | "negative";
export type LinkIconColor = "warning" | "neutral" | "positive" | "negative";
interface LinkStateColors {
    color: string;
    colorHover: string;
    colorActive: string;
    colorDisabled: string;
    backgroundActive: string;
}
type LinkStyleStateColors = {
    [key in LinkStyle]: LinkStateColors;
};
type LinkBackgroundStyleStateColors = {
    [key in ButtonBackground]: LinkStyleStateColors;
};
export declare const linkStyleColors: LinkBackgroundStyleStateColors;
export declare const linkIconColors: Record<LinkIconColor, string>;
export {};
