import { BarChart, ChartPadding } from "@sageai/chartist";
import { IMessagePartChartLabelInterpolationFnc, TableCellTextWrapping } from "../../../../types/SessionMessageParts";
interface CtShortenBarsOptions {
    barWidth?: number;
}
export declare function ctShortenBars(options: CtShortenBarsOptions): (chart: BarChart) => void;
export declare const labelInterpolationFncs: Record<string, (args: any[]) => (value: string, i: number) => string>;
export declare const generateLabelInterpolationFnc: (labelInterpolationFnc: IMessagePartChartLabelInterpolationFnc[] | undefined) => ((value: string, index: number) => string) | undefined;
interface CtWidenLabelsYAxisProps {
    widenLabelsY?: boolean;
    chartPadding?: number | Partial<ChartPadding>;
    wrapLabelsY?: TableCellTextWrapping;
}
export declare function ctWidenLabelsYAxis({ widenLabelsY: widenY, chartPadding, wrapLabelsY, }: CtWidenLabelsYAxisProps): (chart: BarChart) => void;
export {};
