import React from "react";
import { SuggestionGroup } from "../../types/Suggestion";
import { PromptButtonStyle, PromptButtonWrap } from "../../components/buttons/PromptButton";
import { ButtonSize } from "../../components/buttons/AiKitButton.styles";
export interface SuggestionsButtonsProps {
    suggestions: SuggestionGroup;
    buttonSize: ButtonSize;
    buttonWrap: PromptButtonWrap;
    buttonStyle: PromptButtonStyle;
}
export interface ChatSuggestionsProps {
    suggestions: SuggestionGroup;
    isSkeleton: boolean;
}
declare const ChatSuggestions: ({ ...rest }: ChatSuggestionsProps) => React.JSX.Element;
export default ChatSuggestions;
