import { StoreResetConfigHook } from "./useStoreResetConfig";
export type UserIdStorage = {
    userId: string;
    tokenUserId: string;
    businessId: string | undefined;
    tenantId: string | undefined;
    url: string;
    gmsClient: string | undefined;
};
declare const useStoreResetAndReload: (useResetConfigHook: StoreResetConfigHook, displayedAtLeastOnce: boolean) => void;
export default useStoreResetAndReload;
