export type FetchAuthTokenFn = () => Promise<string>;
export interface TokenProvider {
    kind: "fixed" | "function";
    fetch: FetchAuthTokenFn;
    ready: boolean;
    tokenContext: string | undefined;
    tokenUserId: string;
}
export declare const buildFixedTokenProvider: (authToken: string | undefined) => TokenProvider;
export declare const buildFunctionTokenProvider: (fn: FetchAuthTokenFn) => TokenProvider;
