/*! Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. * / */
/*! Built on 2025-04-23T09:43:00.938Z */
"use strict";(self.webpackChunk_sage_xtrem_ui=self.webpackChunk_sage_xtrem_ui||[]).push([[48],{30048:
/*!************************************************************!*\
  !*** ./lib/component/ui/icon/status-icon-with-popover.tsx ***!
  \************************************************************/(e,t,r)=>{r.d(t,{A:()=>x});var o=r(/*! carbon-react/esm/components/icon-button */79005),i=r(/*! carbon-react/esm/components/icon */46093),s=r(/*! carbon-react/esm/components/button */89522),l=r(/*! carbon-react/esm/components/link */48027),a=r(/*! carbon-react/esm/components/tooltip */58742),n=r(/*! react */92860),c=r(/*! styled-components */33969),p=r(/*! carbon-react/esm/components/toast/toast.style */52298),u=r(/*! ../../../service/i18n-service */82286),d=r(/*! @sage/design-tokens/js/base/common */84702),f=r(/*! ../../../utils/resolve-value-utils */93668);const m=c.keyframes`
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
`,h=(0,c.default)(o.default)`
    &:focus {
        outline: 2px solid ${d.colorsSemanticFocus500};
    }
    margin-top: -2px;
    margin-left: 12px;
    margin-right: 4px;
`,g=(0,c.default)(o.default)`
    top: 24px !important;
    right: 12px !important;
`,y=(0,c.default)(l.default)`
    & button {
        position: relative;
        color: black;
        text-decoration: none;
        padding-right: 6px;
        span {
            padding-left: 16px;
            text-decoration: underline;
            font-family: ${d.fontFamiliesDefault};
            font-weight: ${d.fontWeights500};
        }
    }
    & button::before {
        position: absolute;
        content: '\\E95F';
        font-family: 'CarbonIcons';
        top: 3px;
    }
`,k=(0,c.default)(p.vX)`
    animation: ${m} 0.2s linear;
    border: 1px solid var(--colorsSemanticNegative500);
    border-radius: 4px !important;
    max-width: 471px;
    padding-right: 8px;
    margin: 0 !important;
`,E=(0,c.default)(p.qh)`
    padding: 16px 16px 4px 24px;
`,b=(0,c.default)(p.sr)`
    z-index: 6001;
`;class StatusIconWithPopover extends n.Component{constructor(e){super(e),this.toolTipRef=n.createRef(),this.triggerButtonRef=n.createRef(),this.closeButtonRef=n.createRef(),this.isVisible=()=>!1,this.getDisplayErrorsButton=()=>this.toolTipRef.current?.querySelector("button.e-button-filter-validation-errors"),this.close=()=>{this.setState({isOpen:!1},(()=>{this.triggerButtonRef.current?.focus()}))},this.open=e=>{e?.preventDefault(),this.setState({isOpen:!0},(()=>{this.toolTipRef.current&&(this.toolTipRef.current.style.padding="0");const e=this.getDisplayErrorsButton();setTimeout((()=>{e?e.focus():this.closeButtonRef.current&&this.closeButtonRef.current.focus()}),100)}))},this.toggle=()=>{this.isVisible()?this.close():this.open()},this.setDefaultMode=async()=>{await(this.props.unFilterErrors?.()),this.setState({mode:"DEFAULT"})},this.setErrorsMode=async()=>{await(this.props.filterErrors?.()),this.setState({mode:"ERRORS"}),this.close()},this.getFilterButton=()=>void 0===this.props.filterErrors&&void 0===this.props.unFilterErrors?null:"ERRORS"===this.state.mode?n.createElement(s.default,{buttonType:"secondary",size:"small",onClick:this.setDefaultMode},(0,u.kg)("@sage/xtrem-ui/display-errors-back-to-full-display","Back to full display")):n.createElement(s.default,{className:"e-button-filter-validation-errors",buttonType:"secondary",size:"small",onClick:this.setErrorsMode},(0,u.kg)("@sage/xtrem-ui/display-errors-button","Display these errors")),this.state={mode:"DEFAULT",isOpen:!1}}render(){const e=this.props.validationErrors?.length||0,t=!e&&(0,f.D)({screenId:this.props.screenId,fieldValue:null,propertyValue:this.props.warningMessage,rowValue:null,skipHexFormat:!0})||void 0,r=!e&&!t&&(0,f.D)({screenId:this.props.screenId,fieldValue:null,propertyValue:this.props.infoMessage,rowValue:null,skipHexFormat:!0})||void 0;return n.createElement(n.Fragment,null,(e>0||r||t)&&n.createElement("span",null,e>0&&n.createElement(a.default,{ref:this.toolTipRef,position:"right",fontColor:d.colorsUtilityYin090,bgColor:d.colorsSemanticNegative500,isVisible:this.state.isOpen,message:n.createElement(k,{variant:"error"},n.createElement(b,{variant:"error"},n.createElement(i.default,{type:"error"})),n.createElement(E,null,this.props.content,this.getFilterButton()),n.createElement(g,{ref:this.closeButtonRef,className:"e-button-validation-errors-close","data-element":"close",onClick:this.close},n.createElement(i.default,{type:"close"})))},n.createElement(h,{onClick:this.toggle,ref:this.triggerButtonRef},n.createElement(i.default,{key:"validation-errors",className:"e-icon-validation-errors","aria-label":"validation-errors",fontSize:"small",color:"--colorsSemanticNegative500",type:"error",role:"tooltip"}))),r&&n.createElement(i.default,{key:"info",className:"e-icon-validation-errors",ariaLabel:r,fontSize:"small",color:d.colorsSemanticInfo500,type:"info",role:"tooltip",tooltipMessage:r}),t&&n.createElement(i.default,{key:"warning",className:"e-icon-validation-errors",ariaLabel:t,fontSize:"small",color:d.colorsSemanticCaution500,type:"warning",role:"tooltip",tooltipMessage:t})),"ERRORS"===this.state.mode&&n.createElement(a.default,{key:"e-link-back-to-full-display-tooltip",message:(0,u.kg)("@sage/xtrem-ui/display-errors-back-to-full-display-tooltip","For full display")},n.createElement(y,{key:"e-link-back-to-full-display",onClick:this.setDefaultMode,className:"e-link-back-to-full-display"},(0,u.kg)("@sage/xtrem-ui/display-errors-back-to-full-display","Back to full display"))),"DEFAULT"===this.state.mode&&e>0&&n.createElement(a.default,{key:"e-link-error-numbers-tooltip",message:(0,u.kg)("@sage/xtrem-ui/link-error-numbers-tooltip","Error information")},n.createElement(y,{key:"e-link-error-numbers",onClick:this.open,className:"e-link-error-numbers"},e>1?(0,u.kg)("@sage/xtrem-ui/link-errors-quantity","{{0}} errors",[e]):(0,u.kg)("@sage/xtrem-ui/link-error-quantity","1 error",[e]))))}}const x=StatusIconWithPopover}}]);