import type { CustomDialogOptions, DialogDescription, PageDialogOptions } from '../../../types/dialogs';
import * as React from 'react';
export interface DialogContentProps {
    activeSection?: string | null;
    dialog: DialogDescription<PageDialogOptions & CustomDialogOptions>;
    defaultFocusRef?: React.RefObject<any>;
    noHeader?: boolean;
    isFullScreen?: boolean;
}
export declare function DialogContent({ dialog, activeSection, defaultFocusRef, noHeader, isFullScreen, }: DialogContentProps): React.ReactElement;
//# sourceMappingURL=dialog-content.d.ts.map