import * as React from 'react';
import { EditableFieldBaseComponent } from '../field-base-component';
import type { NestedFieldsAdditionalProperties } from '../field-base-component-types';
import type { CheckboxDecoratorProperties } from './checkbox-types';
export declare class CheckboxComponent extends EditableFieldBaseComponent<CheckboxDecoratorProperties, boolean, NestedFieldsAdditionalProperties> {
    onChange: (event: React.ChangeEvent<HTMLInputElement>) => void;
    render(): React.ReactNode;
}
export declare const ConnectedCheckboxComponent: import("react-redux").ConnectedComponent<typeof CheckboxComponent, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<CheckboxComponent> | undefined;
    contextType?: import("../../../types").ContextType | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    screenId: string;
    parentElementId?: string | undefined;
    level?: number | undefined;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    contextNode?: import("../../../types").NodePropertyType | undefined;
    recordContext?: any;
    columnDefinition?: any;
    handlersArguments?: import("../../nested-fields").NestedFieldHandlersArguments | undefined;
    isNested?: boolean | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedCheckboxComponent;
//# sourceMappingURL=checkbox-component.d.ts.map