import React from 'react';
import type { NodeBrowserTreeComponentProps } from './node-browser-tree-types';
export declare const NodeBrowserTreeComponent: React.FC<NodeBrowserTreeComponentProps>;
export declare const ConnectedNodeBrowserTree: import("react-redux").ConnectedComponent<React.FC<NodeBrowserTreeComponentProps>, {
    contextType?: import("../../../types").ContextType | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    screenId: string;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedNodeBrowserTree;
//# sourceMappingURL=node-browser-tree-component.d.ts.map