import type { Dict } from '@sage/xtrem-shared';
import * as React from 'react';
import type { UserDetails } from '../../service/auth-service';
interface LanguageSelectorExternalProps {
    locales: string[];
}
export interface LanguageSelectorProps extends LanguageSelectorExternalProps {
    user: UserDetails | null;
    localeOnChange: (locale: string | null) => void;
    translations: Dict<string>;
}
export declare function LanguageSelector({ user, translations, localeOnChange, locales, }: LanguageSelectorProps): React.JSX.Element;
export declare namespace LanguageSelector {
    var displayName: string;
}
export declare const ConnectedLanguageSelector: import("react-redux").ConnectedComponent<typeof LanguageSelector, {
    user: UserDetails | null;
    translations: Dict<string>;
    localeOnChange: (locale: string | null) => void;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export {};
//# sourceMappingURL=language-selector.d.ts.map