import * as React from 'react';
import type { PageActionControlObject } from '../../page-action/page-action-control-object';
import type { SidebarDefinitionDecorator } from '../../table-sidebar/table-sidebar-types';
import type { CardDefinition } from '../card/card-component';
import type { NestedField } from '../../nested-fields';
export interface DesktopTableAddNewRowButtonProps {
    addItemActions?: PageActionControlObject[];
    cardDefinition?: CardDefinition;
    columns: Array<NestedField<any, any>>;
    elementId: string;
    hasSidebar?: boolean;
    isDisabled?: boolean;
    level?: number;
    onFocusPhantomRow?: () => void;
    screenId: string;
    sidebarDefinition?: SidebarDefinitionDecorator;
}
export declare const DesktopTableAddNewRowButton: React.NamedExoticComponent<DesktopTableAddNewRowButtonProps>;
//# sourceMappingURL=desktop-table-add-new-row-button.d.ts.map