import { type DateRangeType } from '@sage/xtrem-date-time';
import { type LocalizeLocale } from '@sage/xtrem-shared';
import type { DateFilterState, DateModel, DateState, SimpleDateModel } from './date-filter-types';
export declare const isSimpleDateFilter: (filter: DateModel) => filter is SimpleDateModel;
export declare const agGridDateFilterTypes: string[];
export declare const defaultDateState: () => DateState;
export declare const dateRanges: DateRangeType[];
export declare const getModelFromDateState: ({ dateState, locale, }: {
    dateState: DateFilterState;
    locale: LocalizeLocale;
}) => SimpleDateModel;
export declare function getDateStateFromModel(model: DateModel | null): DateState;
//# sourceMappingURL=date-filter-utils.d.ts.map