import type { GridApi } from '@ag-grid-community/core';
import type { RefObject } from 'react';
import type { MarkRequired } from 'ts-essentials';
import type { CollectionValue } from '../../../service/collection-data-service';
import type { CollectionValueType } from '../../../service/collection-data-types';
import type { AgGridColumnConfigWithScreenIdAndColDef } from '../../../utils/ag-grid/ag-grid-utility-types';
import type { SelectedGroupState } from '../../field/table/table-component-types';
import { GroupState } from '../../field/table/table-component-types';
export declare const processGroupSelection: ({ gridApi, value, row, setSelected, groupByColumn, }: {
    gridApi: GridApi | null;
    value: CollectionValue;
    row: MarkRequired<CollectionValueType, "__groupKey" | "__isGroup">;
    setSelected: boolean;
    groupByColumn?: AgGridColumnConfigWithScreenIdAndColDef;
}) => CollectionValueType[];
export declare const changeGroupIcon: (rowId: string, groupState: GroupState, tableRef: RefObject<HTMLDivElement>) => void;
export declare const updateGroupState: (prevSelectedGroupState: SelectedGroupState, groupKey: string, groupState: string, isSelected: boolean, tableRef: RefObject<HTMLDivElement>) => SelectedGroupState;
//# sourceMappingURL=table-selection-helper.d.ts.map