import type { StoryObj } from "@storybook/react";
import { TextInputProps } from "./TextInput";
import React from "react";
declare const meta: {
    title: string;
    component: ({ value, setValue, onValueEntered, onCancel, size, borderColor, borderWidth, placeholder, }: TextInputProps) => React.JSX.Element;
    parameters: {
        layout: string;
    };
    tags: string[];
};
export default meta;
type Story = StoryObj<typeof meta>;
export declare const Medium: Story;
export declare const Small: Story;
export declare const Large: Story;
