import React from "react";
export type sideContentDisplayMode = "slideOver" | "sideBySide" | "overlay";
export interface MainPanelWithSidebarProps {
    sideContent: React.ReactElement;
    mainContent: React.ReactElement;
    sideContentVisible: boolean;
    setSideContentVisible: (visible: boolean) => void;
    sideContentDisplayMode: sideContentDisplayMode;
}
declare const MainPanelWithSidebar: ({ sideContent, mainContent, sideContentVisible, setSideContentVisible, sideContentDisplayMode, }: MainPanelWithSidebarProps) => React.ReactElement;
export declare const SlidePanel: ({ setSideContentVisible, sideContentVisible, sideContent, mainContent, }: Omit<MainPanelWithSidebarProps, "sideContentDisplayMode">) => React.JSX.Element;
export default MainPanelWithSidebar;
