import React from "react";
import { MessageIdType } from "../../types/SessionMessage";
import { MessagePartHyperLinkStyle } from "../../types/SessionMessageParts";
import { SageIconType } from "../../types/SageIconType";
import { PromptButtonWrap } from "../buttons/PromptButton";
export interface PrompLinkProps {
    linkStyle: MessagePartHyperLinkStyle;
    icon?: SageIconType;
    iconFill?: string;
    iconSize?: number;
    prompt: string;
    label?: string;
    messageId: MessageIdType | undefined;
    messagePartId: MessageIdType | undefined;
    linkWrap: PromptButtonWrap;
    additionalContext?: Record<string, any>;
    dataRole?: string;
}
declare const PromptLink: ({ linkStyle, icon, iconFill, iconSize, dataRole, prompt, label, messageId, messagePartId, linkWrap, additionalContext, }: PrompLinkProps) => React.JSX.Element;
export default PromptLink;
