import type { StoryObj } from "@storybook/react";
import React from "react";
declare const meta: {
    title: string;
    component: ({ linkStyle, icon, iconFill, iconSize, dataRole, prompt, label, messageId, messagePartId, linkWrap, additionalContext, }: import("./PromptLink").PrompLinkProps) => React.JSX.Element;
    parameters: {
        layout: string;
    };
    tags: string[];
    decorators: ((Story: import("@storybook/core/csf").PartialStoryFn<import("@storybook/react").ReactRenderer, {
        linkStyle: import("../..").MessagePartHyperLinkStyle;
        icon?: import("../../types/SageIconType").SageIconType | undefined;
        iconFill?: string | undefined;
        iconSize?: number | undefined;
        prompt: string;
        label?: string | undefined;
        messageId: import("../..").MessageIdType | undefined;
        messagePartId: import("../..").MessageIdType | undefined;
        linkWrap: import("../buttons/PromptButton").PromptButtonWrap;
        additionalContext?: Record<string, any> | undefined;
        dataRole?: string | undefined;
    }>) => React.JSX.Element)[];
};
export default meta;
type Story = StoryObj<typeof meta>;
export declare const Primary: Story;
export declare const WithTruncation: Story;
