import React from "react";
export type ErrorState = "none" | "error";
export interface ErrorSettings {
    mainErrorState: ErrorState;
    setMainErrorState: (error: ErrorState) => void;
    insightsErrorState: ErrorState;
    setInsightsErrorState: (error: ErrorState) => void;
}
export declare const defaultErrorSettings: ErrorSettings;
declare const ErrorContext: React.Context<ErrorSettings>;
export declare const ErrorContextProvider: React.Provider<ErrorSettings>;
export default ErrorContext;
