import { useInsightsStoreHelpers } from "./insights/InsightsStore";
import { useChatMessageStoreHelpers } from "./messages/ChatMessagesStore";
import { useSessionsStoreHelpers } from "./sessions/SessionsStore";
import { useUsersStoreHelpers } from "./users/UsersStore";
import { useAutocompleteStoreHelpers } from "./autocomplete/AutocompleteStore";
export type HelperHook = typeof useInsightsStoreHelpers | typeof useChatMessageStoreHelpers | typeof useSessionsStoreHelpers | typeof useUsersStoreHelpers | typeof useAutocompleteStoreHelpers;
declare const useUpdateStoreProvider: (helperHook: HelperHook) => void;
export default useUpdateStoreProvider;
